<!DOCTYPE html>
{% load staticfiles %}
<html>

<head>
    <title>
        Creating Search Bar using HTML
        CSS and Javascript
    </title>

    <!-- linking the stylesheet(CSS) -->
    <link rel="stylesheet" type="text/css" href="{% static 'search.css' %}">
    
</head>

<body>
    <h2 style="text-align: center;">Auto Suggest api assignment</h2>

    <!-- input tag -->
    <div  >
    <input id="searchbar" oninput="CallSearch()" type="text"
        name="search" placeholder="Search animals..">

    <!-- ordered list -->

    <div class='row' >
    {% comment %} <div class='col-lg-4'></div> {% endcomment %}
    <h2>The Autosuggest output is:</h2>
    <ol id='list'>
        <!-- <li class="animals">Cat</li> -->
        <!-- <li class="animals">Dog</li>
        <li class="animals">Elephant</li>
        <li class="animals">Fish</li>
        <li class="animals">Gorilla</li>
        <li class="animals">Monkey</li>
        <li class="animals">Turtle</li>
        <li class="animals">Whale</li>
        <li class="animals">Aligator</li>
        <li class="animals">Donkey</li>
        <li class="animals">Horse</li> -->
    </ol>

    <!-- linking javscript -->
    </div>
    <script type="text/javascript" src="{% static 'jquery-3.4.1.min.js' %}"></script>
    <script type="text/javascript">
    var service = 'http://127.0.0.1:8000/';
    console.log(service, 'serrrr')
    function CallSearch(){
      console.log(event, 'event')
      console.log(service, 'inside service')
      var edValue = document.getElementById("searchbar");
      var s = edValue.value;
      console.log(s, 'sss')
        $.ajax(
        {
            url: service + 'tiersearch/autosuggest/?key=' + s,
            data: [],
            dataType: 'json',
            cache: false,
            success: function (data) {
                  console.log(data, 'data')
                  var lis = []
                  $.each(data, function (i, item) {
                   console.log(i)
                  lis += 
                  '<li class="animals">' + item + '</li>';
                });
                $('#list').html("");
                $('#list').append(lis)

            }
            

      });
    }
      // JavaScript code
      //function search_animal() {
        //let input = document.getElementById('searchbar').value
        //input=input.toLowerCase();
        //let x = document.getElementsByClassName('animals');

        //for (i = 0; i < x.length; i++) {
          //  if (!x[i].innerHTML.toLowerCase().includes(input)) {
           //     x[i].style.display="none";
           // }
          //  else {
             //   x[i].style.display="list-item";
           // }
       // }
     // }
    </script>
</body>

</html>
